Available in🇮🇳 India🇸🇬 Singapore
Every Contact has an associated Fund Account. When you make payouts to a Contact, they receive the amount in their Fund Account. Fund Accounts can be of four types, and a Contact can have multiple Fund Accounts. You must create a Contact to create a Fund Account. We recommend you to create Contacts and Fund Accounts beforehand to improve the payout processing time. When making payouts, ensure to allowlist IPs, else the request will fail.
Fork the Razorpay Postman Public Workspace and try the Fund Accounts APIs using your Test API Keys.
Create Bank Account type Fund Account
POST /v1/fund_accountsCreates a new Fund Account using bank account details.Create VPA type Fund Account
POST /v1/fund_accountsCreates a new Fund Account using VPA details.Fetch All Fund Account
GET /v1/fund_accountsRetrieves all the Fund Accounts.Fetch a Fund Account with ID
GET /v1/fund_accounts/:idRetrieves a single Fund Account with ID.Activate/Deactivate a Fund Account
PATCH /v1/fund_accounts/:idActivates or deactivates an existing Fund Account.